{%- from 'components/metadata.html.jinja' import metadata_item, metadata_card -%}
{%- from 'components/help.html.jinja' import empty_entry -%}

{% macro prozess_handlungsgrundlagen(handlungsgrundlagen) %}
  {% for handlungsgrundlagenart in handlungsgrundlagen.keys() %}
    <span class="fw-semibold">{{ handlungsgrundlagenart }}</span>
    <ul>
      {% for handlungsgrundlage in handlungsgrundlagen[handlungsgrundlagenart] %}
        <li>
          {% if handlungsgrundlage.href %}
            <a
              href="{{ handlungsgrundlage.href }}"
              target="_blank"
              aria-label="{{ handlungsgrundlage.label }} (öffnet in neuem Tab)"
              >{{ handlungsgrundlage.label }}</a
            >
            <i class="bi bi-box-arrow-up-right text-primary"></i>
          {% else %}
            <span>{{ handlungsgrundlage.label }}</span>
          {% endif %}
        </li>
      {% endfor %}
    </ul>
  {% else %}
    <div class="list-group-item">{{ empty_entry() }}</div>
  {% endfor %}
{% endmacro %}

{% macro prozess_metadata(metadata) %}
  <h2 class="visually-hidden">Metadaten</h2>
  {% call metadata_item("Zuletzt geändert am", none) %}
    {% if metadata.zuletzt_geaendert_am %}
      {{ metadata.zuletzt_geaendert_am }}
    {% else %}
      {{ empty_entry() }}
    {% endif %}
  {% endcall %}

  {% call metadata_item("Versionshinweis", none) %}
    {% if metadata.anmerkungen %}
      {{ metadata.anmerkungen }}
    {% else %}
      {{ empty_entry() }}
    {% endif %}
  {% endcall %}

  {% call metadata_item("Methodische Freigabe am", none) %}
    {% if metadata.methodisch_freigegeben_am %}
      {{ metadata.methodisch_freigegeben_am }}
    {% else %}
      {{ empty_entry() }}
    {% endif %}
  {% endcall %}

  {% call metadata_item("Fachliche Freigabe am", none) %}
    {% if metadata.fachlich_freigegeben_am %}
      {{ metadata.fachlich_freigegeben_am }}
    {% else %}
      {{ empty_entry() }}
    {% endif %}
  {% endcall %}

  {% call metadata_item("Fachlich freigebende Stelle", none) %}
    {% if metadata.fachlich_freigebende_stelle %}
      {{ metadata.fachlich_freigebende_stelle }}
    {% else %}
      {{ empty_entry() }}
    {% endif %}
  {% endcall %}
{% endmacro %}
